Subject: RE: [Fwd: I-D ACTION:draft-pan-lsp-ping-00.txt]

From: [email-masked]
Date: Sat, 4 Aug 2001 14:27:38 +0100

Matt...I agree with you but for a different and more fundamantal reason.
The basic issue here is the client/server relationship between IP and MPLS.
MPLS creates layer networks that are independent of IP (data-plane) (I know
some find this concept a bit hard to grasp or accept, but its true....the
data-plane per technology in GMPLS is exactly the same).  Router Alert is an
IP data-plane layer function.....it should, therefore, be as irrelevant to
MPLS LSP trails as it is to SDH or OTN trails say.  Hence, architecturally
if an IP packet (or indeed any other client packet) goes over an LSP it
should be treated simply as a client payload of the LSP.  Indeed, one of the
problems with the Ping draft is that it has both cross-layer dependancies
(ie mixing IP layer ICMP OAM functions with MPLS server layer data-plane
OAM) and cross-plane dependancies (ie tying data-plane behaviour to a
specific control-plane protocol behaviour).  Both are usually not very
sensible architectural practices since they can come back to create
evolution and backwards compatibility problems later, ie create difficulties
in adding/removing/changing protocols independently.  Of course vendors can
implement such schemes as an expediency if they choose to, but IMO such
practices should not be countenanced for standardisation.

We need to strive for MPLS data-plane OAM to be stand-alone irrespective of
client (or server) layer networks and be decoupled from reliance on specific
control-plane protocols. 

regards, Neil

> -----Original Message-----
> From: Matt Squire [mailto:[email-masked]]
> Sent: 18 July 2001 00:58
> To: David Charlap
> Cc: mpls-list
> Subject: Re: [Fwd: I-D ACTION:draft-pan-lsp-ping-00.txt]
> 
> 
> David Charlap wrote:
> > 
> > Punj, Arun wrote:
> > > Matt Squire wrote:
> > >>
> > >> What prevents a packet with a router alert flag set from being
> > >> sent over an LSP?  I don't recall anything in the specs that
> > >> specifies router alter packets can't be LSP'd.
> > >
> > > Interesting.. Should it not be in the spec? If not, than are you
> > > not changing the meaning of router alert. If yes, Eric's solution
> > > seems perfectly OK, although it would require some sort of
> > > additional support on the intermediate nodes.
> > 
> > Logically, it would not make sense to forward a 
> router-alerted packet
> > into an LSP.
> > 
> > The purpose of router alert is so that intermediate nodes 
> will closely
> > examine the packet, and possibly intercept it for processing.  The
> > purpose of an LSP is to quickly forward a packet with a minimum of
> > processing by the transit routers.  These are two 
> diametrically opposed
> > goals.
> > 
> > Nevertheless, I don't think there is anything forbidding a 
> router from
> > sending a router-alert packet into an LSP.
> > 
> 
> LSPs can be used to provide L2 VPN connectivity.  LSPs can be used to
> provide virtual p2p connections between two virtual routers.  
> LSRs might
> not even be L3 forwarders.  When used in such ways, it is conceivable
> and probably desired that router alert messages be sent down 
> LSP as the
> LSP is not spanning multiple L3 routers from the perspective of the
> ingress - the LSP is just a single hop.  
> 
> Strictly outlawing router alert messages from LSPs would not be a
> desirable end goal.
> 
> - Matt
>